Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlgraphics.image.loader
Class MimeEnabledImageFlavor

    java.lang.Object
      org.apache.xmlgraphics.image.loader.ImageFlavor
          org.apache.xmlgraphics.image.loader.RefinedImageFlavor
              org.apache.xmlgraphics.image.loader.MimeEnabledImageFlavor

    public class MimeEnabledImageFlavor

extends RefinedImageFlavor

Special image flavor subclass which enables the restriction to a particular MIME type.

Field Summary

Fields inherited from class org.apache.xmlgraphics.image.loader.ImageFlavor
`BUFFERED_IMAGE, GRAPHICS2D, RAW, RAW_CCITTFAX, RAW_EMF, RAW_EPS, RAW_JPEG, RAW_LZW, RAW_PNG, RAW_TIFF, RENDERED_IMAGE, XML_DOM`

Constructor Summary
`MimeEnabledImageFlavor(ImageFlavor parentFlavor, String mime)` Constructs a new image flavor.

Method Summary
`String` | `getMimeType()` Returns the MIME type that the image flavor represents if a MIME type is available.

Methods inherited from class org.apache.xmlgraphics.image.loader.RefinedImageFlavor
`getNamespace, getParentFlavor, isCompatible`

Methods inherited from class org.apache.xmlgraphics.image.loader.ImageFlavor
`equals, getName, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MimeEnabledImageFlavor

    public MimeEnabledImageFlavor(ImageFlavor parentFlavor,
                                  String mime)

  Constructs a new image flavor.

  Parameters:
    `parentFlavor` - the parent image flavor
    `mime` - a MIME type refining the parent image flavor

Method Detail

### getMimeType

    public String getMimeType()

  Returns the MIME type that the image flavor represents if a MIME type is available. This is only applicable to images which can also exist as files. For images flavors like decoded in-memory images (Rendered/BufferedImage), this method will return null.

  Overrides:
    `getMimeType` in class `RefinedImageFlavor`
  Returns:
    the MIME type or null if no MIME type can be provided (like for in-memory images)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| xmlgraphics-commons 1.5
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.